edu.northwestern.at.utils

## Class URLUtils

- java.lang.Object
- - edu.northwestern.at.utils.URLUtils

-     public class URLUtils
      extends java.lang.Object

  URL utilities.

  This static class provides various utility methods for manipulating URIs/URLs.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `URLUtils()` Don't allow instantiation but do allow overrides.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getFileNameFromURL(java.net.URL url, java.lang.String outputDirectoryName)` Get a file name from a URL.
    `static java.net.URL` | `getURLFromFileNameOrURL(java.lang.String fileNameOrURL)` Get URL from file name or URL.
    `static boolean` | `isURL(java.lang.String possibleURL)` Check if string is a valid URL.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### URLUtils

          protected URLUtils()

      Don't allow instantiation but do allow overrides.

  - ### Method Detail

    - #### getURLFromFileNameOrURL

          public static java.net.URL getURLFromFileNameOrURL(java.lang.String fileNameOrURL)

      Get URL from file name or URL.
      Parameters:
        `fileNameOrURL` - The file name or URL string.
      Returns:
        A URL for the specified file name or URL.

    - #### getFileNameFromURL

          public static java.lang.String getFileNameFromURL(java.net.URL url,
                                            java.lang.String outputDirectoryName)

      Get a file name from a URL.
      Parameters:
        `url` - The URL.
        `outputDirectoryName` - The output directory name.
      Returns:
        The file name stripped of its original path with the specified output directory attached.

    - #### isURL

          public static boolean isURL(java.lang.String possibleURL)

      Check if string is a valid URL.
      Parameters:
        `possibleURL` - String to check for being a URL.
      Returns:
        true if string is a URL.